{% extends "dialog.html" %}
{% load applications_tags %}

{% block dialog_attrs %} id="acceptApplicationDialog" hx-swap-oob="true" class="confirmation"{% endblock %}

{% block header %}Accept Application?{% endblock %}

{% block body %}
        This will create a volunteer profile based on this application.<br>
        Here's a preview of the email that will be sent to {{ application.email }}.
        <p class="email-preview">Subject: {% include "applications/mail/accept_application.subject.txt" %}
            {% include "applications/mail/accept_application.message.txt" %}</p>
{% endblock %}

{% block buttons %}
    <form method="post" id="acceptApplicationForm" action='{% url "application_accept" pk=application.pk %}'>
        {% csrf_token %}
        <button value="accept" class="button button-primary">
            Create profile as {{ application.accepted_positions|attr:"name"|method:"lower"|join_comma_and }}
        </button>
    </form>
    {% if application.has_all_positions_decided and application.accepted_positions %}
        <script type="module">
            console.log("connecting button")
            var acceptButton = document.getElementById('acceptApplication');
            var acceptApplicationDialog = document.getElementById('acceptApplicationDialog');

            // Open modal
            acceptButton.addEventListener('click', function onOpen() {
                if (typeof acceptApplicationDialog.showModal === "function") {
                    acceptApplicationDialog.showModal();
                } else {
                    window.location = '{% url "application_accept" pk=application.pk %}'
                }
            });
        </script>
    {% endif %}
{% endblock %}
